Package com.pixelmed.display.event

## Class FrameSelectionChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.FrameSelectionChangeEvent

-     public class FrameSelectionChangeEvent
      extends Event

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FrameSelectionChangeEvent​(EventContext eventContext, int index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getIndex()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameSelectionChangeEvent

          public FrameSelectionChangeEvent​(EventContext eventContext,
                                           int index)

      Parameters:
        `eventContext` -
        `index` -

  - ### Method Detail

    - #### getIndex

          public int getIndex()

      Returns:
        the index of the frame selected

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        description of the event